#
# spec file for package paexec
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           paexec
Version:        1.1.1
Release:        lp151.1.1
Summary:        Distributes tasks over network or CPUs
License:        MIT
Group:          Productivity/Clustering/Computing
URL:            https://paexec.sourceforge.net/
Source0:        https://sourceforge.net/projects/paexec/files/paexec/paexec-%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc
BuildRequires:  mk-configure >= 0.27.0
BuildRequires:  mk-configure-rpm-macros
BuildRequires:  runawk
Requires:       runawk

%description
Small program that processes a list of tasks in parallel
on different CPUs, computers in a network or whatever else.

%package examples
Summary:        Examples for paexec
Group:          Documentation/Other
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description examples
Small program that processes a list of tasks in parallel
on different CPUs, computers in a network or whatever else.

This package contains examples for paexec.

%prep
%setup -q
sed -i 's|#!/usr/bin/env |#!%{_bindir}/|' examples/*/* paexec/paexec_reorder

%define env export EGDIR=%{_docdir}/%{name}/examples DESTDIR=%{buildroot}
%define _mkcmake %{mkcmake} DOCDIR=%{_docdir}/%{name}

%build
%{env}
%{_mkcmake} all all-examples all-doc

%install
%{env}
%{_mkcmake} install install-examples install-doc
cp presentation/paexec.pdf %{buildroot}/%{_docdir}/%{name}

%files
%dir %{_docdir}/paexec
%{_bindir}/paargs
%{_bindir}/paexec
%{_bindir}/paexec_reorder
%{_bindir}/pareorder
%{_mandir}/man1/paargs.1%{?ext_man}
%{_mandir}/man1/paexec.1%{?ext_man}
%{_mandir}/man1/paexec_reorder.1%{?ext_man}
%{_mandir}/man1/pareorder.1%{?ext_man}
%{_docdir}/paexec/paexec.pdf
%{_docdir}/paexec/LICENSE
%{_docdir}/paexec/NEWS
%{_docdir}/paexec/README
%{_docdir}/paexec/TODO

%files examples
%dir %{_docdir}/paexec/examples
%{_docdir}/paexec/examples/*

%changelog
* Tue Mar 19 2019 Aleksey Cheusov <cheusov@NetBSD.org>
- Clean up spec file -- replace /usr/bin/env (as it is specified in
  source code) with %%{bindir}/.
* Mon Mar 18 2019 Martin Pluskal <mpluskal@suse.com>
- Use url for source
- Clean up spec file with spec-cleaner
* Thu Mar 14 2019 cheusov@NetBSD.org
- Update to 1.1.1
* Sun Apr 30 2017 cheusov@NetBSD.org
- Adapted for OpenSuSE
* Sat Nov 29 2014 cheusov@altlinux.org
- Update to 1.0.1
* Sat Aug 31 2013 mike@altlinux.org
- rebuilt for Sisyphus (thanks upstream; closes: #29308)
* Sun Mar 10 2013 mike@altlinux.org
- 0.18.0
* Mon Nov  7 2011 mike@altlinux.org
- NMU: 0.16.1 built with:
  + mk-configure 0.21.2
  + libmaa 1.3.1
  + runawk
- spec cleanup
* Thu Apr 28 2011 real@altlinux.org
- Rebuilt with libmaa 1.3.0
* Tue Jun 15 2010 real@altlinux.org
- Initial build for Sisyphus
